Get Message By Id
curl --request GET \
--url https://{api_endpoint}/v1/threads/{thread_id}/messages/{message_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_endpoint}/v1/threads/{thread_id}/messages/{message_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_endpoint}/v1/threads/{thread_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant": {
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assistant_name": "<string>",
"is_default": false
},
"role": "<string>",
"content": [
{
"json_schema": {},
"ui_schema": {},
"form_data": {},
"id": "<string>",
"form_operation": "<string>",
"sub_type": "<string>",
"event_type": "<string>",
"dps_payload_id": "<string>"
}
],
"created_by": "<string>",
"created_by_username": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mentions": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"document_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"additional_properties": {
"wxa_message": {},
"display_properties": {
"skip_render": false,
"is_async": false,
"form_operation": ""
},
"tool_calls": [
{}
],
"tool_call_id": "<string>",
"tool_name": "<string>",
"wxo_connection_status": {
"connection_status": "<string>",
"connection_message": "<string>"
}
},
"context": {},
"step_history": [
{}
],
"message_state": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Message Threads
Get Message By Id
Get Message By Id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Mention
- AssistantMention
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

